//                                               -*- C++ -*-
/**
 *  @brief The external header file of OpenTURNS for subdir Geom
 *
 *  Copyright 2005-2019 Airbus-EDF-IMACS-Phimeca
 *
 *  This library is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this library.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef OPENTURNS_OTGEOM_HXX
#define OPENTURNS_OTGEOM_HXX
#include "openturns/DomainImplementation.hxx"
#include "openturns/Domain.hxx"
#include "openturns/Interval.hxx"
#include "openturns/IntervalMesher.hxx"
#include "openturns/LevelSet.hxx"
#include "openturns/LevelSetMesher.hxx"
#include "openturns/Mesh.hxx"
#include "openturns/MeshDomain.hxx"
#include "openturns/RegularGrid.hxx"
#include "openturns/DomainComplement.hxx"
#include "openturns/DomainIntersection.hxx"
#include "openturns/DomainUnion.hxx"
#include "openturns/DomainDisjunctiveUnion.hxx"
#include "openturns/DomainDifference.hxx"

#endif /* OPENTURNS_OTGEOM_HXX */
