%feature("docstring") OT::FunctionalChaosResult
"Functional chaos result.

Notes
-----
Structure created by the method run() of
:class:`~openturns.FunctionalChaosAlgorithm`, and obtained thanks to the method
getResult()."

// ---------------------------------------------------------------------

%feature("docstring") OT::FunctionalChaosResult::getCoefficients
"Get the coefficients.

Returns
-------
coefficients : 2-d sequence of float
    Coefficients :math:`(\\vect{\\alpha_k})_{k \\in K}`."

// ---------------------------------------------------------------------

%feature("docstring") OT::FunctionalChaosResult::getComposedMetaModel
"Get the composed metamodel.

Returns
-------
composedMetamodel : :class:`~openturns.Function`
    :math:`\\tilde{f} =  \\sum_{k \\in K} \\vect{\\alpha}_k \\Psi_k`"

// ---------------------------------------------------------------------

%feature("docstring") OT::FunctionalChaosResult::getMetaModel
"Get the metamodel.

Returns
-------
metamodel : :class:`~openturns.Function`
    :math:`\\tilde{g} = \\sum_{k \\in K} \\vect{\\alpha}_k \\Psi_k \\circ T`."

// ---------------------------------------------------------------------

%feature("docstring") OT::FunctionalChaosResult::getComposedModel
"Get the composed model.

Returns
-------
composedModel : :class:`~openturns.Function`
    :math:`f = g\\circ T^{-1}`."

// ---------------------------------------------------------------------

%feature("docstring") OT::FunctionalChaosResult::getDistribution
"Get the input distribution.

Returns
-------
distribution : :class:`~openturns.Distribution`
    Distribution of the  input random vector :math:`\\vect{X}`."

// ---------------------------------------------------------------------

%feature("docstring") OT::FunctionalChaosResult::getIndices
"Get the indices of the final basis.

Returns
-------
indices : :class:`~openturns.Indices`
    Indices of the elements of the multivariate basis used in the decomposition."

// ---------------------------------------------------------------------

%feature("docstring") OT::FunctionalChaosResult::getInverseTransformation
"Get the inverse isoprobabilistic transformation.

Returns
-------
invTransf : :class:`~openturns.Function`
     :math:`T^{-1}` such that :math:`T(\\vect{X}) = \\vect{Z}`."

// ---------------------------------------------------------------------

%feature("docstring") OT::FunctionalChaosResult::getOrthogonalBasis
"Get the orthogonal basis.

Returns
-------
basis : :class:`~openturns.OrthogonalBasis`
    Factory of the orthogonal basis."

// ---------------------------------------------------------------------

%feature("docstring") OT::FunctionalChaosResult::getReducedBasis
"Get the reduced basis.

Returns
-------
basis : list of :class:`~openturns.Function`
    Collection of the *K* functions  :math:`(\\Psi_k)_{k\\in K}`  used in the 
    decomposition."

// ---------------------------------------------------------------------

%feature("docstring") OT::FunctionalChaosResult::getTransformation
"Get the isoprobabilistic transformation.

Returns
-------
transformation : :class:`~openturns.Function`
    Transformation :math:`T` such that :math:`T(\\vect{X}) = \\vect{Z}`."
