%feature("docstring") OT::GumbelAB
"Gumbel distribution parameters.

Parameters
----------
a : float
    Location parameter.
b : float
    Scale parameter :math:`b > 0`.

Notes
-----
The native parameters  :math:`(\\beta, \\gamma)` are defined as follows:

.. math::

    \\beta &= b \\\\
    \\gamma &= a

See also
--------
Gumbel

Examples
--------
Create the parameters :math:`(a, b)`  of the Gumbel distribution:

>>> import openturns as ot
>>> parameters = ot.GumbelAB(-0.5, 0.5)

Convert parameters into the native parameters :math:`(\\beta, \\gamma)`:

>>> print(parameters.evaluate())
[0.5,-0.5]"
