%feature("docstring") OT::NearestPointProblem
"Nearest point problem.

This represents a nearest point problem:

.. math::

    \\min_{x} \\frac{1}{2}||x||^2 \\\\
    g(x) = v

Parameters
----------
level : :class:`~openturns.Function`
    Level function.
value : float
    Level value.

Examples
--------

Define an optimization problem to find the point with minimum norm which satisfies :math:`x1+2*x2-3*x3+4*x4=3`.

>>> import openturns as ot
>>> levelFunction = ot.SymbolicFunction(
...     ['x1', 'x2', 'x3', 'x4'], ['x1+2*x2-3*x3+4*x4'])
>>> problem = ot.NearestPointProblem(levelFunction, 3.0)"
