%feature("docstring") OT::Path
"Path utilities.

No constructor, only static methods are available."

// ---------------------------------------------------------------------

%feature("docstring") OT::Path::GetInstallationDirectory
"Accessor to the installation directory.

Returns
-------
installDir : str
    The installation prefix."

// ---------------------------------------------------------------------

%feature("docstring") OT::Path::GetConfigDirectoryList
"Accessor to config directories.

Returns
-------
dirList : list of str
    The list of directories searched for config files."

// ---------------------------------------------------------------------

%feature("docstring") OT::Path::GetLibraryDirectory
"Accessor to the library directory.

Returns
-------
dir : str
    The directory containing the shared library."

// ---------------------------------------------------------------------

%feature("docstring") OT::Path::FindFileByNameInDirectoryList
"Find a file.

Parameters
----------
name : str
    Filename to be found.
dirList : sequence of str
    The list of directories to search in.


Returns
-------
dirList : list of str
    The list of directories searched for config files."
// ---------------------------------------------------------------------

%feature("docstring") OT::Path::GetTemporaryDirectory
"Accessor to the temporary directory.

Returns
-------
tempDir : str
    The absolute temporary directory."

// ---------------------------------------------------------------------

%feature("docstring") OT::Path::BuildTemporaryFileName
"Create a new temporary file.

Parameters
----------
pattern : str
    Filename pattern, eg 'tmpXXXXXX'.
    The 'XXXXXXX' part will be replaced by random chars.

Returns
-------
fileName : str
    The unique newly created file."

// ---------------------------------------------------------------------

%feature("docstring") OT::Path::CreateTemporaryDirectory
"Create a new temporary directory.

Parameters
----------
directoryPrefix : str
    A subdirectory name.

Returns
-------
tempDir : str
    The newly created directory."

// ---------------------------------------------------------------------

%feature("docstring") OT::Path::DeleteTemporaryDirectory
"Remove a temporary directory.

Parameters
----------
directoryName : str
    The directory to remove."
