%feature("docstring") OT::SimulationResult
"EventSimulation result base class.

Notes
-----
Structure created by the method run() of a :class:`~openturns.EventSimulation`,
and obtained thanks to the method getResult()."

// ---------------------------------------------------------------------

%feature("docstring") OT::SimulationResult::getBlockSize
"Accessor to the block size.

Returns
-------
blockSize : int
    Number of terms in the probability simulation estimator grouped together."

// ---------------------------------------------------------------------

%feature("docstring") OT::SimulationResult::setBlockSize
"Accessor to the block size.

Parameters
----------
blockSize : int, :math:`blockSize \\geq 0`
    Number of terms in the probability simulation estimator grouped together."

// ---------------------------------------------------------------------

%feature("docstring") OT::SimulationResult::getOuterSampling
"Accessor to the outer sampling.

Returns
-------
outerSampling : int
    Number of groups of terms in the probability simulation estimator."

// ---------------------------------------------------------------------

%feature("docstring") OT::SimulationResult::setOuterSampling
"Accessor to the outer sampling.

Parameters
----------
outerSampling : int, :math:`outerSampling \\geq 0`
    Number of groups of terms in the probability simulation estimator."
