%feature("docstring") OT::StudentFactory
"Student factory.

Available constructor:
    StudentFactory()

The parameters are estimated by a mixed method of moments and reduces MLE:

.. math::
    :nowrap:

    \\begin{align*}
      \\Hat{\\mu} = &\\Hat{\\mu}_x \\\\
      \\Hat{\\sigma} = &\\Hat{\\sigma}_x\\sqrt{\\dfrac{\\Hat{\\nu}-2}{\\Hat{\\nu}}} \\\\
      \\Hat{R}_{ij} = &\\dfrac{2}{\\pi}\\arcsin(\\tau_{ij})
    \\end{align*}

where :math:`\\mat{\\tau}` is the sample Kendall tau matrix and :math:`\\Hat{\\nu}`
maximizes the reduced likelihood associated to :class:`~openturns.Student` with
parameters :math:`(\\Hat{\\nu}, \\Hat{\\mu}, \\hat{\\sigma}(\\Hat{\\nu}), \\Hat{\\mat{R}})`.
    
See also
--------
DistributionFactory, Student"
